<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity PositionReportingStructure.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idposfro"
                                 baseTableName="position_reporting_structure"
                                 constraintName="fk_position_reporting_structure_position_from_id"
                                 referencedColumnNames="idposition"
                                 referencedTableName="positions"/>

        <addForeignKeyConstraint baseColumnNames="idposto"
                                 baseTableName="position_reporting_structure"
                                 constraintName="fk_position_reporting_structure_position_to_id"
                                 referencedColumnNames="idposition"
                                 referencedTableName="positions"/>

    </changeSet>
</databaseChangeLog>
